Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
peripheral::DeviceSlot::Settings Struct Reference

user configurable slot attributes More...

## Public Attributes
string | name
| User-defined name.
string | description
| User-defined description.
Location | location
| user-defined device location
boolean | useDefaultThresholds
| use default thresholds
map< string, string > | properties
| sensor specific settings

## Detailed Description

user configurable slot attributes

Definition at line 62 of file PeripheralDeviceSlot.idl.

## Member Data Documentation

## ◆ description

string peripheral::DeviceSlot::Settings::description

User-defined description.

Definition at line 64 of file PeripheralDeviceSlot.idl.

## ◆ location

Location peripheral::DeviceSlot::Settings::location

user-defined device location

Definition at line 65 of file PeripheralDeviceSlot.idl.

## ◆ name

string peripheral::DeviceSlot::Settings::name

User-defined name.

Definition at line 63 of file PeripheralDeviceSlot.idl.

## ◆ properties

map<string, string> peripheral::DeviceSlot::Settings::properties

sensor specific settings

Definition at line 67 of file PeripheralDeviceSlot.idl.

## ◆ useDefaultThresholds

boolean peripheral::DeviceSlot::Settings::useDefaultThresholds

use default thresholds

Definition at line 66 of file PeripheralDeviceSlot.idl.

The documentation for this struct was generated from the following file:

- PeripheralDeviceSlot.idl